Package commoble.morered

# Class HexidecrubrometerBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.morered.HexidecrubrometerBlock

All Implemented Interfaces:
  `net.minecraft.world.flag.FeatureElement`, `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeBlock`

public class HexidecrubrometerBlock extends net.minecraft.world.level.block.Block

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetFunction, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A extends Object>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.world.level.block.state.properties.IntegerProperty`
`POWER`
`static final net.minecraft.world.level.block.state.properties.EnumProperty<net.minecraft.world.level.block.state.properties.AttachFace>`
`READING_FACE`
`static final net.minecraft.world.level.block.state.properties.EnumProperty<net.minecraft.core.Direction>`
`ROTATION`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, properties, requiredFeatures, soundType, speedFactor, UPDATE_SHAPE_ORDER`

### Fields inherited from interface net.minecraft.world.flag.FeatureElement

`FILTERED_REGISTRIES`

## Constructor Summary

Constructors
Constructor
Description
`HexidecrubrometerBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConnectRedstone(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)`
`protected void`
`createBlockStateDefinition(net.minecraft.world.level.block.state.StateDefinition.Builder<net.minecraft.world.level.block.Block,net.minecraft.world.level.block.state.BlockState> builder)`
`static int`
`getInputValue(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction direction)`
`static int`
`getInputValue(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`static net.minecraft.core.Direction`
`getReadingDirection(net.minecraft.world.level.block.state.BlockState state)`
`static net.minecraft.core.Direction`
`getReadingDirection(net.minecraft.world.level.block.state.properties.AttachFace attachFace, net.minecraft.core.Direction directionAwayFromDisplay)`
`net.minecraft.world.level.block.state.BlockState`
`getStateForPlacement(net.minecraft.world.item.context.BlockPlaceContext context)`
`net.minecraft.world.level.block.state.BlockState`
`mirror(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Mirror mirror)`
`void`
`neighborChanged(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Block fromBlock, net.minecraft.core.BlockPos fromPos, boolean isMoving)`
`void`
`onNeighborChange(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.LevelReader world, net.minecraft.core.BlockPos pos, net.minecraft.core.BlockPos neighbor)`
`void`
`onPlace(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState oldState, boolean isMoving)`
Deprecated.
`net.minecraft.world.level.block.state.BlockState`
`rotate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Rotation rot)`

### Methods inherited from class net.minecraft.world.level.block.Block

`animateTick, appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, canSustainPlant, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, dropResources, fallOn, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getRenderPropertiesInternal, getShapeForEachState, getSoundType, getSpeedFactor, getStateDefinition, handlePrecipitation, hasDynamicShape, initializeClient, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isRandomlyTicking, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, propagatesSkylightDown, pushEntitiesUp, registerDefaultState, setPlacedBy, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, canBeReplaced, canSurvive, defaultDestroyTime, defaultMapColor, entityInside, getAnalogOutputSignal, getBlockSupportShape, getCollisionShape, getDestroyProgress, getDirectSignal, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getOcclusionShape, getRenderShape, getSeed, getShadeBrightness, getShape, getSignal, getVisualShape, hasAnalogOutputSignal, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, isSignalSource, onProjectileHit, onRemove, randomTick, requiredFeatures, skipRendering, spawnAfterBreak, tick, triggerEvent, updateIndirectNeighbourShapes, updateShape, use, useShapeForLightOcclusion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.flag.FeatureElement

`isEnabled`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlock

`addLandingEffects, addRunningEffects, canBeHydrated, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getPistonPushReaction, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hidesNeighborFace, isBed, isBurning, isConduitFrame, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, isValidSpawn, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### POWER

public static final net.minecraft.world.level.block.state.properties.IntegerProperty POWER

### READING_FACE

public static final net.minecraft.world.level.block.state.properties.EnumProperty<net.minecraft.world.level.block.state.properties.AttachFace> READING_FACE

### ROTATION

public static final net.minecraft.world.level.block.state.properties.EnumProperty<net.minecraft.core.Direction> ROTATION

## Constructor Details

### HexidecrubrometerBlock

public HexidecrubrometerBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)

## Method Details

### createBlockStateDefinition

protected void createBlockStateDefinition(net.minecraft.world.level.block.state.StateDefinition.Builder<net.minecraft.world.level.block.Block,net.minecraft.world.level.block.state.BlockState> builder)

Overrides:
  `createBlockStateDefinition` in class `net.minecraft.world.level.block.Block`

### getStateForPlacement

public net.minecraft.world.level.block.state.BlockState getStateForPlacement(net.minecraft.world.item.context.BlockPlaceContext context)

Overrides:
  `getStateForPlacement` in class `net.minecraft.world.level.block.Block`

### onPlace

@Deprecated public void onPlace(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState oldState, boolean isMoving)
Deprecated.

Overrides:
  `onPlace` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### onNeighborChange

public void onNeighborChange(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.LevelReader world, net.minecraft.core.BlockPos pos, net.minecraft.core.BlockPos neighbor)

### neighborChanged

public void neighborChanged(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Block fromBlock, net.minecraft.core.BlockPos fromPos, boolean isMoving)

Overrides:
  `neighborChanged` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### getInputValue

public static int getInputValue(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### getInputValue

public static int getInputValue(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction direction)

### getReadingDirection

public static net.minecraft.core.Direction getReadingDirection(net.minecraft.world.level.block.state.BlockState state)

### getReadingDirection

public static net.minecraft.core.Direction getReadingDirection(net.minecraft.world.level.block.state.properties.AttachFace attachFace, net.minecraft.core.Direction directionAwayFromDisplay)

### canConnectRedstone

public boolean canConnectRedstone(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)

### rotate

public net.minecraft.world.level.block.state.BlockState rotate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Rotation rot)

Overrides:
  `rotate` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### mirror

public net.minecraft.world.level.block.state.BlockState mirror(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Mirror mirror)

Overrides:
  `mirror` in class `net.minecraft.world.level.block.state.BlockBehaviour`